/*******************************************************************************
 * Copyright 2015 - 2018 fmCreation
 *
 * Lizenziert unter der EUPL, Version 1.2 oder - sobald diese von der
 * Europischen Kommission genehmigt wurden - Folgeversionen der EUPL
 * ("Lizenz"); Sie drfen dieses Werk ausschlielich gem dieser Lizenz nutzen.
 * Eine Kopie der Lizenz finden Sie hier:
 *
 *   https://progs.frankmuenster.de/eupl_v1-2_de
 *
 * Sofern nicht durch anwendbare Rechtsvorschriften gefordert oder in
 * schriftlicher Form vereinbart, wird die unter der Lizenz verbreitete Software
 * "so wie sie ist", OHNE JEGLICHE GEWHRLEISTUNG ODER BEDINGUNGEN -
 * ausdrcklich oder stillschweigend - verbreitet. Die sprachspezifischen
 * Genehmigungen und Beschrnkungen unter der Lizenz sind dem Lizenztext zu
 * entnehmen.
 ******************************************************************************/

package de.frankmuenster.mahoe.assistant;

import de.willuhn.jameica.hbci.rmi.KontoType;

/**
 * General info about an account. Can be extended for a specific bank and be
 * used to create new account or update information.
 *
 * @author Frank Mnster
 */
public class CreateInfo {

    /**
     * Der Kommentar
     */
    private String comment;

    /**
     * Die Bezeichnung
     */
    private String description;

    /**
     * max period in the past to load account sheets in days
     */
    private int statementsMaxDaysBack;

    /**
     * Die Kontoinhaber
     */
    private String owner;

    /**
     * Kontotyp
     */
    private KontoType accountType;

    /**
     * Default constructor. Sets account type to GIRO
     */
    public CreateInfo() {
        this.accountType = KontoType.GIRO;
    }

    /**
     * @return the accountType
     */
    public KontoType getAccountType() {

        return this.accountType;
    }

    /**
     * @return the comment
     */
    public String getComment() {

        return this.comment;
    }

    /**
     * @return the description
     */
    public String getDescription() {

        return this.description;
    }

    /**
     * @return the owner
     */
    public String getOwner() {

        return this.owner;
    }

    /**
     * @return the statementsMaxDaysBack
     */
    public int getStatementsMaxDaysBack() {

        return this.statementsMaxDaysBack;
    }

    /**
     * @param accountType
     *            the accountType to set
     */
    public void setAccountType(final KontoType accountType) {

        this.accountType = accountType;
    }

    /**
     * @param comment
     *            the comment to set
     */
    public void setComment(final String comment) {

        this.comment = comment;
    }

    /**
     * @param description
     *            the description to set
     */
    public void setDescription(final String description) {

        this.description = description;
    }

    /**
     * @param owner
     *            the owner to set
     */
    public void setOwner(final String owner) {

        this.owner = owner;
    }

    /**
     * @param statementsMaxDaysBack
     *            the statementsMaxDaysBack to set
     */
    public void setStatementsMaxDaysBack(final int statementsMaxDaysBack) {

        this.statementsMaxDaysBack = statementsMaxDaysBack;
    }
}
