/*******************************************************************************
 * Copyright 2015 - 2018 fmCreation
 *
 * Lizenziert unter der EUPL, Version 1.2 oder - sobald diese von der
 * Europischen Kommission genehmigt wurden - Folgeversionen der EUPL
 * ("Lizenz"); Sie drfen dieses Werk ausschlielich gem dieser Lizenz nutzen.
 * Eine Kopie der Lizenz finden Sie hier:
 *
 *   https://progs.frankmuenster.de/eupl_v1-2_de
 *
 * Sofern nicht durch anwendbare Rechtsvorschriften gefordert oder in
 * schriftlicher Form vereinbart, wird die unter der Lizenz verbreitete Software
 * "so wie sie ist", OHNE JEGLICHE GEWHRLEISTUNG ODER BEDINGUNGEN -
 * ausdrcklich oder stillschweigend - verbreitet. Die sprachspezifischen
 * Genehmigungen und Beschrnkungen unter der Lizenz sind dem Lizenztext zu
 * entnehmen.
 ******************************************************************************/

package de.frankmuenster.mahoe.banks.aktien;

import de.frankmuenster.mahoe.utils.BankToAdd;

/**
 * Main class for stock account. Contains only account relevant constants.
 *
 * @author Frank Mnster
 */
@BankToAdd(blz = Aktien.BLZ, name = Aktien.NAME, walletPrefix = Aktien.WALLET_PREFIX)
public final class Aktien {

    /**
     * Aktien
     */
    public static final String NAME = "Aktien"; //$NON-NLS-1$

    /**
     * FAKE BLZ
     */
    public static final String BLZ = "99999999"; //$NON-NLS-1$

    /**
     * FAKE KTO
     */
    public static final String KTO = "99999999"; //$NON-NLS-1$

    /**
     * Wallet prefix
     */
    public static final String WALLET_PREFIX = "aktien"; //$NON-NLS-1$

    /**
     * Umsatz META Key fr die ID
     */
    public static final String STOCK_ID = "stockId"; //$NON-NLS-1$

    /**
     * Umsatz META Key fr die ID
     */
    public static final String STOCK_EXCHANGE = "stockExchnage"; //$NON-NLS-1$

    /**
     * Standardkonstruktor
     */
    private Aktien() {
        // Absichtlich leer
    }
}
