
package de.frankmuenster.mahoe.banks.bsh.json;

import java.util.List;

import com.fasterxml.jackson.annotation.JsonIgnoreProperties;
import com.fasterxml.jackson.annotation.JsonProperty;
import com.fasterxml.jackson.databind.annotation.JsonDeserialize;

import de.frankmuenster.mahoe.banks.bsh.json.deserializer.ExemptionsDeserializer;

/**
 * Antwort der Freistellungsauftrge-Anfrage
 *
 * @author Frank Mnster
 */
@JsonIgnoreProperties(ignoreUnknown = true)
public class ExemptionsResponse extends BshResponse implements IBshResponse {

    /**
     * Liste mit den Freistellungsantrgen
     */
    @JsonProperty("data")
    @JsonDeserialize(using = ExemptionsDeserializer.class)
    private List<Exemption> exemptions;

    /**
     * Standardkonstruktor
     */
    public ExemptionsResponse() {
	super();
    }

    /**
     * Liefert vorhandenen Freistellungsauftrgen
     *
     * @return die Liste mit den Freistellungsauftrgen
     */
    @JsonProperty("data")
    public List<Exemption> getExemptions() {

	return this.exemptions;
    }

}
