/*******************************************************************************
 * Copyright 2015 - 2018 fmCreation
 *
 * Lizenziert unter der EUPL, Version 1.2 oder - sobald diese von der
 * Europischen Kommission genehmigt wurden - Folgeversionen der EUPL
 * ("Lizenz"); Sie drfen dieses Werk ausschlielich gem dieser Lizenz nutzen.
 * Eine Kopie der Lizenz finden Sie hier:
 *
 *   https://progs.frankmuenster.de/eupl_v1-2_de
 *
 * Sofern nicht durch anwendbare Rechtsvorschriften gefordert oder in
 * schriftlicher Form vereinbart, wird die unter der Lizenz verbreitete Software
 * "so wie sie ist", OHNE JEGLICHE GEWHRLEISTUNG ODER BEDINGUNGEN -
 * ausdrcklich oder stillschweigend - verbreitet. Die sprachspezifischen
 * Genehmigungen und Beschrnkungen unter der Lizenz sind dem Lizenztext zu
 * entnehmen.
 ******************************************************************************/

package de.frankmuenster.mahoe.banks.santander.pdfextractor;

import java.awt.Rectangle;
import java.io.IOException;
import java.util.HashMap;
import java.util.Map;

import de.frankmuenster.mahoe.pdfextractor.AbstractBankPDFPage;

/**
 * TextAreas for even pages
 *
 * @author Frank Mnster
 */
public class SantanderPdfPageEven extends AbstractBankPDFPage {

    /**
     * Erwartete X-Position des Buchungsdaten
     */
    private static final double BUCH_DATUM_X_POS = 33.35;

    /**
     * Standard constructor call super class.
     *
     * @throws IOException
     */
    public SantanderPdfPageEven() throws IOException {
	super();
    }

    /**
     * @see AbstractBankPDFPage#defineRegions
     */
    @Override
    protected Map<String, Rectangle> defineRegions() {

	final Map<String, Rectangle> regions = new HashMap<>(); // NOPMD
	regions.put(AbstractBankPDFPage.BUCHUNGS_DATUM, AbstractBankPDFPage.getRectangleFrom(1.1, 8.0, 1.5, 22.0));
	regions.put(AbstractBankPDFPage.BESCHREIBUNG, AbstractBankPDFPage.getRectangleFrom(2.9, 8.0, 9.7, 22.0));
	regions.put(AbstractBankPDFPage.KURS, AbstractBankPDFPage.getRectangleFrom(14.6, 8.0, 1.4, 22.0));
	regions.put(AbstractBankPDFPage.FREMDWAEHRUNG, AbstractBankPDFPage.getRectangleFrom(30.9, 8.0, 1.9, 22.0));
	regions.put(AbstractBankPDFPage.FREMDW_BETRAG, AbstractBankPDFPage.getRectangleFrom(12.6, 8.0, 1.9, 22.0));
	regions.put(AbstractBankPDFPage.KAUF_DATUM, AbstractBankPDFPage.getRectangleFrom(16.2, 8.0, 1.4, 22.0));
	regions.put(AbstractBankPDFPage.BETRAG, AbstractBankPDFPage.getRectangleFrom(17.8, 8.0, 2.1, 22.0));
	return regions;
    }

    /**
     * @see de.frankmuenster.mahoe.pdfextractor.AbstractBankPDFPage#getXPos()
     */
    @Override
    protected double getXPos() {

	return SantanderPdfPageEven.BUCH_DATUM_X_POS;
    }

}
