/*******************************************************************************
 * Copyright 2015 - 2018 fmCreation
 *
 * Lizenziert unter der EUPL, Version 1.2 oder - sobald diese von der
 * Europischen Kommission genehmigt wurden - Folgeversionen der EUPL
 * ("Lizenz"); Sie drfen dieses Werk ausschlielich gem dieser Lizenz nutzen.
 * Eine Kopie der Lizenz finden Sie hier:
 *
 *   https://progs.frankmuenster.de/eupl_v1-2_de
 *
 * Sofern nicht durch anwendbare Rechtsvorschriften gefordert oder in
 * schriftlicher Form vereinbart, wird die unter der Lizenz verbreitete Software
 * "so wie sie ist", OHNE JEGLICHE GEWHRLEISTUNG ODER BEDINGUNGEN -
 * ausdrcklich oder stillschweigend - verbreitet. Die sprachspezifischen
 * Genehmigungen und Beschrnkungen unter der Lizenz sind dem Lizenztext zu
 * entnehmen.
 ******************************************************************************/

package de.frankmuenster.mahoe.banks.targobank.pdfextractor;

import java.awt.Rectangle;
import java.io.IOException;
import java.util.HashMap;
import java.util.Map;

import de.frankmuenster.mahoe.pdfextractor.AbstractBankPDFPage;

/**
 * TextAreas fr die ungeraden Seiten
 *
 * @author Frank Mnster
 */
public class TargoBankPdfPageOdd extends AbstractBankPDFPage {

    /**
     * Erwartete X-Position des Buchungsdaten
     */
    private static final double BUCH_DATUM_X_POS = 77.94;

    /**
     * Standard constructor call super class.
     *
     * @throws IOException
     */
    public TargoBankPdfPageOdd() throws IOException {

        super();
    }

    /**
     * @see AbstractBankPDFPage#defineRegions
     */
    @Override
    protected Map<String, Rectangle> defineRegions() {

        final Map<String, Rectangle> regions = new HashMap<>(); // NOPMD
        regions.put(AbstractBankPDFPage.BUCHUNGS_DATUM, AbstractBankPDFPage.getRectangleFrom(2.5, 13.0, 2.0, 9.5));
        regions.put(AbstractBankPDFPage.BESCHREIBUNG, AbstractBankPDFPage.getRectangleFrom(6.5, 13.0, 7.0, 9.5));
        regions.put(AbstractBankPDFPage.KURS, AbstractBankPDFPage.getRectangleFrom(17.0, 13.0, 1.6, 9.5));
        regions.put(AbstractBankPDFPage.FREMDWAEHRUNG, AbstractBankPDFPage.getRectangleFrom(15.9, 13.0, 1.0, 9.5));
        regions.put(AbstractBankPDFPage.FREMDW_BETRAG, AbstractBankPDFPage.getRectangleFrom(14.5, 13.0, 1.5, 9.5));
        regions.put(AbstractBankPDFPage.KAUF_DATUM, AbstractBankPDFPage.getRectangleFrom(4.5, 13.0, 2.0, 9.5));
        regions.put(AbstractBankPDFPage.BETRAG, AbstractBankPDFPage.getRectangleFrom(18.5, 13.0, 2.0, 9.5));
        return regions;
    }

    /**
     * @see de.frankmuenster.mahoe.pdfextractor.AbstractBankPDFPage#getXPos()
     */
    @Override
    protected double getXPos() {

        return TargoBankPdfPageOdd.BUCH_DATUM_X_POS;
    }

}
