/*******************************************************************************
 * Copyright 2015 - 2018 fmCreation
 *
 * Lizenziert unter der EUPL, Version 1.2 oder - sobald diese von der
 * Europischen Kommission genehmigt wurden - Folgeversionen der EUPL
 * ("Lizenz"); Sie drfen dieses Werk ausschlielich gem dieser Lizenz nutzen.
 * Eine Kopie der Lizenz finden Sie hier:
 *
 *   https://progs.frankmuenster.de/eupl_v1-2_de
 *
 * Sofern nicht durch anwendbare Rechtsvorschriften gefordert oder in
 * schriftlicher Form vereinbart, wird die unter der Lizenz verbreitete Software
 * "so wie sie ist", OHNE JEGLICHE GEWHRLEISTUNG ODER BEDINGUNGEN -
 * ausdrcklich oder stillschweigend - verbreitet. Die sprachspezifischen
 * Genehmigungen und Beschrnkungen unter der Lizenz sind dem Lizenztext zu
 * entnehmen.
 ******************************************************************************/

package de.frankmuenster.mahoe.gui.parts;

import java.rmi.RemoteException;

import org.apache.commons.lang.StringUtils;
import org.eclipse.swt.layout.GridData;

import de.frankmuenster.mahoe.gui.controller.AktienSettingsController;
import de.frankmuenster.mahoe.utils.I18N;
import de.willuhn.jameica.gui.parts.ButtonArea;
import de.willuhn.jameica.gui.util.SimpleContainer;

/**
 * @author Frank Mnster
 */
public class AktienSettingsPart extends AbstractSettingsPart<AktienSettingsController> {

    /**
     * Erstellt ein SantanderSetting Part mit allen Einstellungsmglichkeiten
     * der Santander Bank
     *
     * @param control
     *            der SantanderSettingsController
     */
    public AktienSettingsPart(final AktienSettingsController control) {
        super(control);
    }

    @Override
    protected void paintBankSpecific(final SimpleContainer left, final SimpleContainer right) throws RemoteException {

        // left side
        left.addHeadline(I18N.tr("AktienSettingsPart.addStocks")); //$NON-NLS-1$
        left.addPart(this.control.getSearchPart());
        left.addPart(this.control.getSelectExchangePart());
        left.addLabelPair(I18N.tr("AktienSettingsPart.amount"), this.control.getStockAmountInput()); //$NON-NLS-1$
        final ButtonArea buttonArea = new ButtonArea();
        buttonArea.addButton(this.control.getUpdateStock());
        buttonArea.addButton(this.control.getAddStock());
        left.addButtonArea(buttonArea);

        // right side
        final GridData gridData = (GridData) right.getComposite().getLayoutData();
        gridData.widthHint = 30;
        gridData.heightHint = 500;

        right.addHeadline(I18N.tr("AktienSettingsPart.existingStocks")); //$NON-NLS-1$
        right.addPart(this.control.getAktienTable());
        right.addText(StringUtils.EMPTY, false);
        right.addText(StringUtils.EMPTY, false);
        right.addText(StringUtils.EMPTY, false);
        right.addText(StringUtils.EMPTY, false);
        right.addText(StringUtils.EMPTY, false);

    }
}
