/*******************************************************************************
 * Copyright 2015 - 2018 fmCreation
 *
 * Lizenziert unter der EUPL, Version 1.2 oder - sobald diese von der
 * Europischen Kommission genehmigt wurden - Folgeversionen der EUPL
 * ("Lizenz"); Sie drfen dieses Werk ausschlielich gem dieser Lizenz nutzen.
 * Eine Kopie der Lizenz finden Sie hier:
 *
 *   https://progs.frankmuenster.de/eupl_v1-2_de
 *
 * Sofern nicht durch anwendbare Rechtsvorschriften gefordert oder in
 * schriftlicher Form vereinbart, wird die unter der Lizenz verbreitete Software
 * "so wie sie ist", OHNE JEGLICHE GEWHRLEISTUNG ODER BEDINGUNGEN -
 * ausdrcklich oder stillschweigend - verbreitet. Die sprachspezifischen
 * Genehmigungen und Beschrnkungen unter der Lizenz sind dem Lizenztext zu
 * entnehmen.
 ******************************************************************************/

package de.frankmuenster.mahoe.utils;

import java.io.ByteArrayOutputStream;
import java.util.Arrays;

/**
 * A ByteArrayOutputStream that allows clearing of he internal byte[] buffer.
 *
 * @author Frank Mnster
 *
 */
public class ClearableByteArrayOutputStream extends ByteArrayOutputStream {

    /**
     * Returns a new ClearableByteArrayOutputStream
     */
    public ClearableByteArrayOutputStream() {
        super();
    }

    /**
     * Wipes the internal buffer and resets the count to zero.
     */
    public synchronized void clear() { // NOPMD
        Arrays.fill(this.buf, (byte) 0);
        super.reset();
    }

}
